# -*- encoding: utf-8 -*-
# stub: azure_mgmt_mobile_engagement 0.7.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_mobile_engagement"
  s.version = "0.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Microsoft Corporation"]
  s.date = "2016-10-29"
  s.description = "Microsoft Azure Mobile Engagement Management Client Library for Ruby"
  s.email = "azrubyteam@microsoft.com"
  s.files = ["LICENSE.txt", "lib/azure_mgmt_mobile_engagement.rb", "lib/generated", "lib/generated/azure_mgmt_mobile_engagement", "lib/generated/azure_mgmt_mobile_engagement.rb", "lib/generated/azure_mgmt_mobile_engagement/app_collections.rb", "lib/generated/azure_mgmt_mobile_engagement/apps.rb", "lib/generated/azure_mgmt_mobile_engagement/campaigns.rb", "lib/generated/azure_mgmt_mobile_engagement/devices.rb", "lib/generated/azure_mgmt_mobile_engagement/engagement_management_client.rb", "lib/generated/azure_mgmt_mobile_engagement/export_tasks.rb", "lib/generated/azure_mgmt_mobile_engagement/import_tasks.rb", "lib/generated/azure_mgmt_mobile_engagement/models", "lib/generated/azure_mgmt_mobile_engagement/models/announcement_feedback_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/api_error.rb", "lib/generated/azure_mgmt_mobile_engagement/models/api_error_error.rb", "lib/generated/azure_mgmt_mobile_engagement/models/app.rb", "lib/generated/azure_mgmt_mobile_engagement/models/app_collection.rb", "lib/generated/azure_mgmt_mobile_engagement/models/app_collection_list_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/app_collection_name_availability.rb", "lib/generated/azure_mgmt_mobile_engagement/models/app_info_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/app_list_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/application_version_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/audience_operators.rb", "lib/generated/azure_mgmt_mobile_engagement/models/boolean_tag_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_audience.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_feedbacks.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_kinds.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_list_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_localization.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_push_parameters.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_push_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_state.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_state_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_states.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_statistics_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_test_new_parameters.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_test_saved_parameters.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_type.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaign_types.rb", "lib/generated/azure_mgmt_mobile_engagement/models/campaigns_list_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/carrier_country_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/carrier_name_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/datapush_feedback_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/date_range_export_task_parameter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/date_tag_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/delivery_times.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_info.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_location.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_manufacturer_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_meta.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_model_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_query_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_tags_parameters.rb", "lib/generated/azure_mgmt_mobile_engagement/models/device_tags_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/devices_query_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/engage_active_users_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/engage_idle_users_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/engage_new_users_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/engage_old_users_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/engage_subset_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/export_format.rb", "lib/generated/azure_mgmt_mobile_engagement/models/export_options.rb", "lib/generated/azure_mgmt_mobile_engagement/models/export_state.rb", "lib/generated/azure_mgmt_mobile_engagement/models/export_task_list_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/export_task_parameter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/export_task_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/export_type.rb", "lib/generated/azure_mgmt_mobile_engagement/models/feedback_by_campaign_parameter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/feedback_by_date_range_parameter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/firmware_version_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/geo_fencing_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/import_task.rb", "lib/generated/azure_mgmt_mobile_engagement/models/import_task_list_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/import_task_result.rb", "lib/generated/azure_mgmt_mobile_engagement/models/integer_tag_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/job_states.rb", "lib/generated/azure_mgmt_mobile_engagement/models/language_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/location_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/native_push_enabled_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/network_type_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/notification_options.rb", "lib/generated/azure_mgmt_mobile_engagement/models/notification_types.rb", "lib/generated/azure_mgmt_mobile_engagement/models/poll_answer_feedback_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/poll_feedback_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/poll_question.rb", "lib/generated/azure_mgmt_mobile_engagement/models/poll_question_choice.rb", "lib/generated/azure_mgmt_mobile_engagement/models/poll_question_choice_localization.rb", "lib/generated/azure_mgmt_mobile_engagement/models/poll_question_localization.rb", "lib/generated/azure_mgmt_mobile_engagement/models/provisioning_states.rb", "lib/generated/azure_mgmt_mobile_engagement/models/push_modes.rb", "lib/generated/azure_mgmt_mobile_engagement/models/push_quota_filter.rb", "lib/generated/azure_mgmt_mobile_engagement/models/screen_size_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/segment_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/string_tag_criterion.rb", "lib/generated/azure_mgmt_mobile_engagement/models/supported_platforms_list_result.rb", "lib/generated/azure_mgmt_mobile_engagement/module_definition.rb", "lib/generated/azure_mgmt_mobile_engagement/supported_platforms.rb", "lib/generated/azure_mgmt_mobile_engagement/version.rb"]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0")
  s.rubygems_version = "2.5.1"
  s.summary = "Official Ruby client library to consume Microsoft Azure Mobile Engagement Management services."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, ["~> 1.9"])
      s.add_development_dependency(%q<rake>, ["~> 10"])
      s.add_development_dependency(%q<rspec>, ["~> 3"])
      s.add_development_dependency(%q<dotenv>, ["~> 2"])
      s.add_runtime_dependency(%q<ms_rest_azure>, ["~> 0.6.0"])
    else
      s.add_dependency(%q<bundler>, ["~> 1.9"])
      s.add_dependency(%q<rake>, ["~> 10"])
      s.add_dependency(%q<rspec>, ["~> 3"])
      s.add_dependency(%q<dotenv>, ["~> 2"])
      s.add_dependency(%q<ms_rest_azure>, ["~> 0.6.0"])
    end
  else
    s.add_dependency(%q<bundler>, ["~> 1.9"])
    s.add_dependency(%q<rake>, ["~> 10"])
    s.add_dependency(%q<rspec>, ["~> 3"])
    s.add_dependency(%q<dotenv>, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>, ["~> 0.6.0"])
  end
end
